<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="taikhoan_ct_vnp" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="net.sf.jasperreports.export.character.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<import value="java.util.Map"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay, to_char(sysdate,'mm') thang, to_char(sysdate,'yyyy') nam from dual]]>
		</queryString>
		<field name="ngay" class="java.lang.String"/>
		<field name="thang" class="java.lang.String"/>
		<field name="nam" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="thangtc" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ? := admin_v2.bienban_bg.bg_taikhoan_vnp('{p0chuky}','{p0tentinh}','501'); end;]]>
	</queryString>
	<field name="ten_tinh" class="java.lang.String"/>
	<field name="chuky" class="java.lang.String"/>
	<field name="name" class="java.lang.String"/>
	<field name="short_name" class="java.lang.String"/>
	<field name="ten_tb" class="java.lang.String"/>
	<field name="ma_tb" class="java.lang.String"/>
	<field name="ma_kh" class="java.lang.String"/>
	<field name="tien" class="java.lang.Number"/>
	<field name="vat" class="java.lang.Number"/>
	<field name="tongtien" class="java.lang.Number"/>
	<field name="ghichu" class="java.lang.String"/>
	<field name="stt" class="java.lang.String"/>
	<variable name="tien_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tien}]]></variableExpression>
	</variable>
	<variable name="tongtien_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{tongtien}]]></variableExpression>
	</variable>
	<variable name="vat_1" class="java.lang.Number" calculation="Sum">
		<variableExpression><![CDATA[$F{vat}]]></variableExpression>
	</variable>
	<group name="tinh" isStartNewPage="true">
		<groupExpression><![CDATA[$F{ten_tinh}]]></groupExpression>
		<groupHeader>
			<band height="77">
				<staticText>
					<reportElement x="2" y="0" width="547" height="20"/>
					<textElement textAlignment="Center">
						<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
					</textElement>
					<text><![CDATA[BIÊN BẢN BÀN GIAO CÁC THUÊ BAO KHÁCH HÀNG THÂN THIẾT]]></text>
				</staticText>
				<textField>
					<reportElement x="362" y="20" width="187" height="20"/>
					<textElement verticalAlignment="Bottom">
						<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$P{thangtc}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="2" y="40" width="360" height="20"/>
					<textElement textAlignment="Center" verticalAlignment="Bottom">
						<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
					</textElement>
					<text><![CDATA[VIỄN THÔNG]]></text>
				</staticText>
				<textField>
					<reportElement x="362" y="40" width="187" height="20"/>
					<textElement textAlignment="Left" verticalAlignment="Bottom">
						<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{name}.toUpperCase()]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="1" y="20" width="361" height="20"/>
					<textElement textAlignment="Center" verticalAlignment="Bottom">
						<font fontName="Times New Roman" size="14" isBold="true" pdfFontName="Times-Bold"/>
					</textElement>
					<text><![CDATA[  THÁNG]]></text>
				</staticText>
				<staticText>
					<reportElement x="2" y="60" width="25" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[STT]]></text>
				</staticText>
				<staticText>
					<reportElement x="27" y="60" width="125" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Tên thuê bao]]></text>
				</staticText>
				<staticText>
					<reportElement x="429" y="60" width="71" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Tổng cộng]]></text>
				</staticText>
				<staticText>
					<reportElement x="209" y="60" width="75" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Mã khách hàng]]></text>
				</staticText>
				<staticText>
					<reportElement x="284" y="60" width="78" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số tiền thừa]]></text>
				</staticText>
				<staticText>
					<reportElement x="152" y="60" width="57" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Số máy]]></text>
				</staticText>
				<staticText>
					<reportElement x="500" y="60" width="49" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Ghi chú]]></text>
				</staticText>
				<staticText>
					<reportElement x="362" y="60" width="67" height="16"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Thuế]]></text>
				</staticText>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="34">
				<textField>
					<reportElement x="284" y="0" width="78" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right">
						<font fontName="Times New Roman"/>
					</textElement>
					<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tien_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="429" y="0" width="71" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right">
						<font fontName="Times New Roman"/>
					</textElement>
					<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{tongtien_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement x="362" y="0" width="67" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Right">
						<font fontName="Times New Roman"/>
					</textElement>
					<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($V{vat_1}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement x="2" y="0" width="282" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[Tổng cộng]]></text>
				</staticText>
				<staticText>
					<reportElement x="500" y="0" width="49" height="15"/>
					<box>
						<pen lineWidth="0.25"/>
						<topPen lineWidth="0.25"/>
						<leftPen lineWidth="0.25"/>
						<bottomPen lineWidth="0.25"/>
						<rightPen lineWidth="0.25"/>
					</box>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[]]></text>
				</staticText>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band height="2"/>
	</pageHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<textField>
				<reportElement x="27" y="0" width="125" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ten_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="152" y="0" width="57" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="209" y="0" width="75" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ma_kh}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="284" y="0" width="78" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tien}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="362" y="0" width="67" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{vat}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="429" y="0" width="71" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement textAlignment="Right">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[(new DecimalFormat("#,###,###,##0.000")).format($F{tongtien}).replace(".","#").replace(",",".").replace("#",",")]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="500" y="0" width="49" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{ghichu}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="2" y="0" width="25" height="15"/>
				<box>
					<pen lineWidth="0.25"/>
					<topPen lineWidth="0.25"/>
					<leftPen lineWidth="0.25"/>
					<bottomPen lineWidth="0.25"/>
					<rightPen lineWidth="0.25"/>
				</box>
				<textElement>
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{stt}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band/>
	</columnFooter>
	<pageFooter>
		<band/>
	</pageFooter>
</jasperReport>
